Convert PointCoordinates, how?

Hello,

is there a way to convert my points?

For any reason my family locationpoints are “Scalded”

# Phython-Standard- und DesignScript-Bibliotheken laden
import sys
import clr

clr.AddReference('RevitAPI')

from Autodesk.Revit.DB import *
clr.AddReference('RevitNodes')

clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *

doors = UnwrapElement(IN[0])
locations = []
Points= []

for door in doors:
	location = door.Location
	if location:
		point = location.Point
	if point:
		locations.append(point)

for i in locations:
	Points.append(Point.ByCoordinates(i.X,i.Y,i.Z))
	
OUT = Points

Is there a way to simplify the script? i think i am already to complicated.

KR

Andreas